Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003484opensim[GRID] Inventory Servicepublic2009-04-17 20:082018-01-06 17:13
ReporterShackDougall 
Assigned ToUbitUmarov 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0003484: UpdateScriptTask CAP - Uploader response is different from Second Life
DescriptionSequence of events:

Client POSTS to UpdateScriptTask Capability with something like the following:

<llsd><map><key>is_script_running</key><integer>1</integer><key>item_id</key><uuid>52d05d07-bfb4-4f54-8a16-b259ddccb9b3</uuid><key>target</key><string>mono</string><key>task_id</key><uuid>388fe064-ff72-4910-a62e-7469db600374</uuid></map></llsd>

Server responds with something like:

<llsd><map><key>uploader</key><string>http://192.168.1.105:9000/CAPS/b9e4e225-ecb9-4961-959f-4ef744fa7638</string><key>state</key><string>upload</string></map></llsd> [^]

Client POSTS the text of the script to the uploader.

Up to here, Second Life and OpenSim behave identically.

In Second Life, server responds with:

  {
    'compiled':t
    ,
    'state':'complete'
    ,
    'new_asset':ud8b46142-d0d6-3352-8686-53ef796989b4
  }

In OpenSim 0.6.4, server responds with:

  {
    'item_id':u8d7e72aa-d412-4f86-aa32-9d6b5091f9ca
    ,
    'task_id':uf72ba874-0903-47b3-aedc-dfa3fefccfee
    ,
    'state':'complete'
  }

The issue here is twofold:

1) OpenSim uses different keys in the response. Seems like the OpenSim keys should be the same or a superset of the Second Life keys.

2) It looks like OpenSim is giving different information. Second Life is returning the AssetID. OpenSim doesn't appear to return the AssetID at all. Instead it returns the PrimID (task_id) and the InventoryItemID (item_id).
TagsNo tags attached.
Git Revision or version number
Run ModeStandalone (1 Region)
Physics EngineODE
Environment.NET / Windows32
Mono VersionNone
Viewer
Attached Files

- Relationships

-  Notes
(0010812)
melanie (administrator)
2009-04-18 00:46

This doesn't seem to cause any issues, though. Are you seeign reduced functionality because of this?
(0010824)
ShackDougall (reporter)
2009-04-18 10:23

Yes, libopenmv only supports the keys that Second Life uses and it is fairly strict about it.

I can, of course, try to get libopenmv to be more OpenSim-friendly, but in the past their response to things like this has always been that it should be fixed in OpenSim and they simply close the ticket with no action.

I haven't had time to confirm, but I think the issue also affects NotecardUpdateTaskInventory CAP, NotecardUpdateAgentInventory CAP, UpdateScriptAgent CAP.

It probably affects anything that uses the CAPS uploader.
(0010825)
ShackDougall (reporter)
2009-04-18 10:28

Also, in some cases, it is important to get the AssetID back.

It's not so important for UpdateScriptTask CAP, because you can't really do anything with the UUID of a script, but for the NotecardUpdate*Inventory CAPS, it would be very helpful to get back the AssetID because notecards can be referenced directly via their AssetID in LSL, for example.

This relates directly to another one of my tickets about LSL where I want to be able to read a line from a notecard using the AssetID.
http://opensimulator.org/mantis/view.php?id=3420 [^]
(0010828)
ShackDougall (reporter)
2009-04-18 10:39

And, in case the connection to LSL isn't obvious, what I'm doing is uploading scripts/notecards via libopenmv and then reading the notecards using the uploaded LSL to rez builds as a part of Prim Composer for 3ds Max.

Here's a link to a broad overview of what I'm trying to do:
https://liferain.com/projects/primcomposer/ticket/103 [^]
(0032495)
UbitUmarov (administrator)
2018-01-06 17:13

obsolete

- Issue History
Date Modified Username Field Change
2009-04-17 20:08 ShackDougall New Issue
2009-04-17 20:08 ShackDougall SVN Revision => 0.6.4
2009-04-17 20:08 ShackDougall Run Mode => Standalone (1 Region)
2009-04-17 20:08 ShackDougall Physics Engine => ODE
2009-04-17 20:08 ShackDougall Environment => .NET / Windows32
2009-04-17 20:08 ShackDougall Mono Version => None
2009-04-18 00:46 melanie Note Added: 0010812
2009-04-18 10:23 ShackDougall Note Added: 0010824
2009-04-18 10:28 ShackDougall Note Added: 0010825
2009-04-18 10:39 ShackDougall Note Added: 0010828
2018-01-06 17:13 UbitUmarov Note Added: 0032495
2018-01-06 17:13 UbitUmarov Status new => closed
2018-01-06 17:13 UbitUmarov Assigned To => UbitUmarov
2018-01-06 17:13 UbitUmarov Resolution open => fixed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker